aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2009-11-17 11:21:20 -0500
committerBill Nottingham <notting@redhat.com>2009-11-17 11:21:20 -0500
commit0ef4bb7b25a59f0cd703e24f067dcb741ab5de68 (patch)
tree34b62791a665b9f04e43facc62fcf007b00c638b
parenta30735e414047006beddfed955b53d6e8c23e651 (diff)
downloadinitscripts-0ef4bb7b25a59f0cd703e24f067dcb741ab5de68.tar
initscripts-0ef4bb7b25a59f0cd703e24f067dcb741ab5de68.tar.gz
initscripts-0ef4bb7b25a59f0cd703e24f067dcb741ab5de68.tar.bz2
initscripts-0ef4bb7b25a59f0cd703e24f067dcb741ab5de68.tar.xz
initscripts-0ef4bb7b25a59f0cd703e24f067dcb741ab5de68.zip
Keep error codes limited to '1'. (#537841)
-rwxr-xr-xrc.d/init.d/network6
1 files changed, 3 insertions, 3 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 0c067427..0eb00e6b 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -142,7 +142,7 @@ case "$1" in
test $? = 1 && continue
fi
action $"Bringing up interface $i: " ./ifup $i boot
- rc=$((rc+$?))
+ [ $? -ne 0 ] && rc=1
done
# Bring up xDSL and VPN interfaces
@@ -154,7 +154,7 @@ case "$1" in
test $? = 1 && continue
fi
action $"Bringing up interface $i: " ./ifup $i boot
- rc=$((rc+$?))
+ [ $? -ne 0 ] && rc=1
fi
done
@@ -243,7 +243,7 @@ case "$1" in
if ! check_device_down $DEVICE; then
action $"Shutting down interface $i: " ./ifdown $i boot
- rc=$((rc+$?))
+ [ $? -ne 0 ] && rc=1
fi
)
done